# PSCOAST

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLES
GSHHS INFORMATION
BUGS
SEE ALSO

## NAME

pscoast − To plot land-masses, water-masses, coastlines, borders, and rivers

## SYNOPSIS

pscoast −J parameters −R west/east/south/north[r] [ −A min_area[/min_level/max_level][+r|l][p percent] ] [ −B[p|s]parameters ] [ −C[l|r/]fill ] [ −D resolution[+] ] [ −E azim/elev[+w lon/lat[/z]][+v x0/y0] ] [ −G fill|c ] [ −I river[/pen] ] [ −Jz|Z parameters ] [ −K ] [ −L[f][x]lon0/lat0[/slon]/slat/length[m|n|k][+l label][+j just][+p pen][+f fill][+u] ] ] [ −O ] [ −N border[/pen] ] [ −O ] [ −P ] [ −Q ] [ −S fill|c ] [ −T[f|m][x]lon0/lat0/size[/info][:w,e,s,n:][+gint[/mint]] ] [ −U[just/dx/dy/][c|label] ] [ −V ] [ −W[level/]pen ] [ −X[a|c|r][x-shift[u]] ] [ −Y[a|c|r][y-shift[u]] ] [ −Z zlevel ] [ −c copies ] [ −bo[s|S|d|D[ncol]|c[var1/...]] ] [ −m[flag] ]

## DESCRIPTION

pscoast plots grayshaded, colored, or textured land-masses [or water-masses] on maps and [optionally] draws coastlines, rivers, and political boundaries. Alternatively, it can (1) issue clip paths that will contain all land or all water areas, or (2) dump the data to an ASCII table. The data files come in 5 different resolutions: (f)ull, (h)igh, (i)ntermediate, (l)ow, and (c)rude. The full resolution files amount to more than 55 Mb of data and provide great detail; for maps of larger geographical extent it is more economical to use one of the other resolutions. If the user selects to paint the land-areas and does not specify fill of water-areas then the latter will be transparent (i.e., earlier graphics drawn in those areas will not be overwritten). Likewise, if the water-areas are painted and no land fill is set then the land-areas will be transparent. A map projection must be supplied. The PostScript code is written to standard output.

| −J |  | Selects the map projection. Scale is UNIT/degree, 1:xxxxx, or width in UNIT (upper case modifier). UNIT is cm, inch, or m, depending on the MEASURE_UNIT setting in .gmtdefaults4, but this can be overridden on the command line by appending c, i, or m to the scale/width value. When central meridian is optional, default is center of longitude range on −R option. Default standard parallel is the equator. For map height, max dimension, or min dimension, append h, +, or - to the width, respectively.

More details can be found in the psbasemap man pages.

CYLINDRICAL PROJECTIONS:

−Jc lon0/lat0/scale (Cassini)
−Jcyl_stere/[lon0/[lat0/]]scale (Cylindrical Stereographic)
−Jj[lon0/]scale (Miller)
−Jm[lon0/[lat0/]]scale (Mercator)
−Jm lon0/lat0/scale (Mercator - Give meridian and standard parallel)
−Jo[a]lon0/lat0/azimuth/scale (Oblique Mercator - point and azimuth)
−Jo[b]lon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
−Joc lon0/lat0/lonp/latp/scale (Oblique Mercator - point and pole)
−Jq[lon0/[lat0/]]scale (Cylindrical Equidistant)
−Jt lon0/[lat0/]scale (TM - Transverse Mercator)
−Ju zone/scale (UTM - Universal Transverse Mercator)
−Jy[lon0/[lat0/]]scale (Cylindrical Equal-Area)

CONIC PROJECTIONS:

−Jb lon0/lat0/lat1/lat2/scale (Albers)
−Jd lon0/lat0/lat1/lat2/scale (Conic Equidistant)
−Jl lon0/lat0/lat1/lat2/scale (Lambert Conic Conformal)
−Jpoly/[lon0/[lat0/]]scale ((American) Polyconic)

AZIMUTHAL PROJECTIONS:

−Ja lon0/lat0[/horizon]/scale (Lambert Azimuthal Equal-Area)
−Je lon0/lat0[/horizon]/scale (Azimuthal Equidistant)
−Jf lon0/lat0[/horizon]/scale (Gnomonic)
−Jg lon0/lat0[/horizon]/scale (Orthographic)
−Jg lon0/lat0/altitude/azimuth/tilt/twist/Width/Height/scale (General Perspective).
−Js lon0/lat0[/horizon]/scale (General Stereographic)

MISCELLANEOUS PROJECTIONS:

−Jh[lon0/]scale (Hammer)
−Ji[lon0/]scale (Sinusoidal)
−Jkf[lon0/]scale (Eckert IV)
−Jk[s][lon0/]scale (Eckert VI)
−Jn[lon0/]scale (Robinson)
−Jr[lon0/]scale (Winkel Tripel)
−Jv[lon0/]scale (Van der Grinten)
−Jw[lon0/]scale (Mollweide)

NON-GEOGRAPHICAL PROJECTIONS:

−Jp[a]scale[/origin][r|z] (Polar coordinates (theta,r))
−Jx x-scale[d|l|p pow|t|T][/y-scale[d|l|p pow|t|T]] (Linear, log, and power scaling)

| −R |  | west, east, south, and north specify the Region of interest, and you may specify them in decimal degrees or in [+-]dd:mm[:ss.xxx][W|E|S|N] format. Append r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands −Rg and −Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Alternatively, specify the name of an existing grid file and the −R settings (and grid spacing, if applicable) are copied from the grid.

## OPTIONS

No space between the option flag and the associated arguments.

| −A |  | Features with an area smaller than min_area in km^2 or of hierarchical level that is lower than min_level or higher than max_level will not be plotted [Default is 0/0/4 (all features)]. Level 2 (lakes) contains regular lakes and wide river bodies which we normally include as lakes; append +r to just get river-lakes or +l to just get regular lakes (requires GSHHS 2.0.1 or higher). Finally, append +p percent to exclude polygons whose percentage area of the corresponding full-resolution feature is less than percent (requires GSHHS 2.0 or higher). See GSHHS INFORMATION below for more details.
| −B |  | Sets map boundary annotation and tickmark intervals; see the psbasemap man page for all the details.
| −C |  | Set the shade, color, or pattern for lakes and river-lakes [Default is the fill chosen for "wet" areas (−S)]. Optionally, specify separate fills by prepending l/ for lakes and r/ for river-lakes, repeating the −C option as needed. (See SPECIFYING FILL below).
| −D |  | Selects the resolution of the data set to use ((f)ull, (h)igh, (i)ntermediate, (l)ow, and (c)rude). The resolution drops off by 80% between data sets [Default is l]. Append + to automatically select a lower resolution should the one requested not be available [abort if not found].
| −E |  | Sets the viewpoint’s azimuth and elevation (for perspective view) [180/90]. For frames used for animation, you may want to append + to fix the center of your data domain (or specify a particular world coordinate point with +w lon0/lat[/z]) which will project to the center of your page size (or specify the coordinates of the projected view point with +v x0/y0).
| −G |  | Select filling or clipping of "dry" areas. Append the shade, color, or pattern (see SPECIFYING FILL below); or use −Gc for clipping [Default is no fill].
| −I |  | Draw rivers. Specify the type of rivers and [optionally] append pen attributes [Default pen: width = 0.25p, color = black, texture = solid]. (See SPECIFYING PENS below).

Choose from the list of river types below. Repeat option −I as often as necessary.

| 1 = Permanent major rivers
| 2 = Additional major rivers
| 3 = Additional rivers
| 4 = Minor rivers
| 5 = Intermittent rivers - major
| 6 = Intermittent rivers - additional
| 7 = Intermittent rivers - minor
| 8 = Major canals
| 9 = Minor canals
| 10 = Irrigation canals
| a = All rivers and canals (1-10)
| r = All permanent rivers (1-4)
| i = All intermittent rivers (5-7)
| c = All canals (8-10)

| −Jz |  | Sets the vertical scaling (for 3-D maps). Same syntax as −Jx.
| −K |  | More PostScript code will be appended later [Default terminates the plot system].
| −L |  | Draws a simple map scale centered on lon0/lat0. Use −Lx to specify x/y position instead. Scale is calculated at latitude slat (optionally supply longitude slon for oblique projections [Default is central meridian]), length is in km [miles if m is appended; nautical miles if n is appended]. Use −Lf to get a "fancy" scale [Default is plain]. Append +l to select the default label which equals the distance unit (km, miles, nautical miles) and is justified on top of the scale [t]. Change this by giving your own label (append +l label). Change label justification with +j justification (choose among l(eft), r(ight), t(op), and b(ottom)). Apply +u to append the unit to all distance annotations along the scale. If you want to place a rectangle behind the scale, specify suitable +p pen and/or +f fill parameters. (See SPECIFYING PENS and SPECIFYING FILL below).
| −N |  | Draw political boundaries. Specify the type of boundary and [optionally] append pen attributes [Default pen: width = 0.25p, color = black, texture = solid]. (See SPECIFYING PENS below). (See SPECIFYING PENS below).

Choose from the list of boundaries below. Repeat option −N as often as necessary.

| 1 = National boundaries
| 2 = State boundaries within the Americas
| 3 = Marine boundaries
| a = All boundaries (1-3)

| −O |  | Selects Overlay plot mode [Default initializes a new plot system].
| −P |  | Selects Portrait plotting mode [Default is Landscape, see gmtdefaults to change this].
| −Q |  | Mark end of existing clip path. No projection information is needed. However, you must supply −Xa and −Ya settings if you are using absolute positioning.
| −S |  | Select filling or clipping of "wet" areas. Append the shade, color, or pattern (see SPECIFYING FILL below); or use −Sc for clipping [Default is no fill].
| −T |  | Draws a simple map directional rose centered on lon0/lat0. Use −Tx to specify x/y position instead. The size is the diameter of the rose, and optional label information can be specified to override the default values of W, E, S, and N (Give :: to suppress all labels). The default [plain] map rose only labels north. Use −Tf to get a "fancy" rose, and specify in info what you want drawn. The default [1] draws the two principal E-W, N-S orientations, 2 adds the two intermediate NW-SE and NE-SW orientations, while 3 adds the eight minor orientations WNW-ESE, NNW-SSE, NNE-SSW, and ENE-WSW. For a magnetic compass rose, specify −Tm. If given, info must be the two parameters dec/dlabel, where dec is the magnetic declination and dlabel is a label for the magnetic compass needle (specify - to format a label from dec). Then, both directions to geographic and magnetic north are plotted [Default is geographic only]. If the north label is * then a north star is plotted instead of the north label. Annotation and two levels of tick intervals for geographic and magnetic directions are 10/5/1 and 30/5/1 degrees, respectively; override these settings by appending +gints[/mints]. Color and pen attributes are taken from COLOR_BACKGROUND and TICK_PEN, respectively, while label fonts and sizes follow the usual annotation, label, and header font settings.
| −U |  | Draw Unix System time stamp on plot. By adding just/dx/dy/, the user may specify the justification of the stamp and where the stamp should fall on the page relative to lower left corner of the plot. For example, BL/0/0 will align the lower left corner of the time stamp with the lower left corner of the plot. Optionally, append a label, or c (which will plot the command string.). The GMT parameters UNIX_TIME, UNIX_TIME_POS, and UNIX_TIME_FORMAT can affect the appearance; see the gmtdefaults man page for details. The time string will be in the locale set by the environment variable TZ (generally local time).
| −V |  | Selects verbose mode, which will send progress reports to stderr [Default runs "silently"].
| −W |  | Draw shorelines [Default is no shorelines]. Append pen attributes [Defaults: width = 0.25p, color = black, texture = solid] which apply to all four levels. To set the pen for each level differently, prepend level/, where level is 1-4 and represent coastline, lakeshore, island-in-lake shore, and lake-in-island-in-lake shore. Repeat −W as needed. When specific level pens are set, those not listed will not be drawn [Default draws all levels; but see −A]. (See SPECIFYING PENS below).
| −X −Y |  | Shift plot origin relative to the current origin by (x-shift,y-shift) and optionally append the length unit (c, i, m, p). You can prepend a to shift the origin back to the original position after plotting, or prepend r [Default] to reset the current origin to the new location. If −O is used then the default (x-shift,y-shift) is (0,0), otherwise it is (r1i, r1i) or (r2.5c, r2.5c). Alternatively, give c to align the center coordinate (x or y) of the plot with the center of the page based on current page size.
| −Z |  | For 3-D projections: Sets the z-level of the coastlines [Default is the bottom of the z-axis].
| −bo |  | Selects binary output. Append s for single precision [Default is d (double)]. Uppercase S or D will force byte-swapping. Optionally, append ncol, the number of desired columns in your binary output file.
| −c |  | Specifies the number of plot copies. [Default is 1].
| −m |  | Dumps a single multisegment ASCII (or binary, see −bo) file to standard output. No plotting occurs. Specify any combination of −W, −I, −N. Optionally, you may append the flag character that is written at the start of each segment header [’>’].

SPECIFYING PENS

| pen |  | The attributes of lines and symbol outlines as defined by pen is a comma delimetered list of width, color and texture, each of which is optional. width can be indicated as a measure (points, centimeters, inches) or as faint, thin[ner|nest], thick[er|est], fat[ter|test], or obese. color specifies a gray shade or color (see SPECIFYING COLOR below). texture is a combination of dashes ‘-’ and dots ‘.’.

SPECIFYING FILL

| fill |  | The attribute fill specifies the solid shade or solid color (see SPECIFYING COLOR below) or the pattern used for filling polygons. Patterns are specified as p dpi/pattern, where pattern gives the number of the built-in pattern (1-90) or the name of a Sun 1-, 8-, or 24-bit raster file. The dpi sets the resolution of the image. For 1-bit rasters: use P dpi/pattern for inverse video, or append :F color[B[color]] to specify fore- and background colors (use color = - for transparency). See GMT Cookbook & Technical Reference Appendix E for information on individual patterns.

SPECIFYING COLOR

| color |  | The color of lines, areas and patterns can be specified by a valid color name; by a gray shade (in the range 0−255); by a decimal color code (r/g/b, each in range 0−255; h-s-v, ranges 0−360, 0−1, 0−1; or c/m/y/k, each in range 0−1); or by a hexadecimal color code (#rrggbb, as used in HTML). See the gmtcolors manpage for more information and a full list of color names.

## EXAMPLES

To plot a green Africa with white outline on blue background, with permanent major rivers in thick blue pen, additional major rivers in thin blue pen, and national borders as dashed lines on a Mercator map at scale 0.1 inch/degree, use

pscoast −R-30/30/-40/40 −Jm0.1i −B5 −I1/1p,blue −I2/0.25p,blue −N1/0.25p,- −W0.25p,white −Ggreen −Sblue −P > africa.ps

To plot Iceland using the lava pattern (# 28) at 100 dots per inch, on a Mercator map at scale 1 cm/degree, run

pscoast −R-30/-10/60/65 −Jm1c −B5 −Gp100/28 > iceland.ps

To initiate a clip path for Africa so that the subsequent colorimage of gridded topography is only seen over land, using a Mercator map at scale 0.1 inch/degree, use

pscoast −R-30/30/-40/40 −Jm0.1i −B5 −Gc −P −K > africa.ps
grdimage −Jm0.1i etopo5.grd −Ccolors.cpt −O −K >> africa.ps
pscoast −Q −O >> africa.ps

pscoast will first look for coastline files in directory $GMT_SHAREDIR/coast If the desired file is not found, it will look for the file $GMT_SHAREDIR/coastline.conf. This file may contain any number of records that each holds the full pathname of an alternative directory. Comment lines (#) and blank lines are allowed. The desired file is then sought for in the alternate directories.

## GSHHS INFORMATION

The coastline database is GSHHS which is compiled from two sources: World Vector Shorelines (WVS) and CIA World Data Bank II (WDBII). In particular, all level-1 polygons (ocean-land boundary) are derived from the more accurate WVS while all higher level polygons (level 2-4, representing land/lake, lake/island-in-lake, and island-in-lake/lake-in-island-in-lake boundaries) are taken from WDBII. Much processing has taken place to convert WVS and WDBII data into usable form for GMT: assembling closed polygons from line segments, checking for duplicates, and correcting for crossings between polygons. The area of each polygon has been determined so that the user may choose not to draw features smaller than a minimum area (see −A); one may also limit the highest hierarchical level of polygons to be included (4 is the maximum). The 4 lower-resolution databases were derived from the full resolution database using the Douglas-Peucker line-simplification algorithm. The classification of rivers and borders follow that of the WDBII. See the GMT Cookbook and Technical Reference Appendix K for further details.

## BUGS

The options to fill (−C −G −S) may not always work if the Azimuthal equidistant projection is chosen (−Je|E). If the antipole of the projection is in the oceans it will most likely work. If not, try to avoid using projection center coordinates that are even multiples of the coastline bin size (1, 2, 5, 10, and 20 degrees for f, h, i, l, c, respectively). This projection is not supported for clipping.
The political borders are for the most part 1970s-style but have been updated to reflect more recent border rearrangements in Europe and elsewhere. Let us know if you find something out of date.
Some users of pscoast will not be satisfied with what they find for the Antarctic shoreline. In Antarctica, the boundary between ice and ocean varies seasonally and inter-annually. There are some areas of permanent sea ice. In addition to these time-varying ice-ocean boundaries, there are also ice grounding lines where ice goes from floating on the sea to sitting on land, and lines delimiting areas of rock outcrop. For consistency’s sake, we have used the World Vector Shoreline throughout the world in pscoast, as described in the GMT Cookbook Appendix K. Users who need specific boundaries in Antarctica should get the Antarctic Digital Database, prepared by the British Antarctic Survey, Scott Polar Research Institute, World Conservation Monitoring Centre, under the auspices of the Scientific Committee on Antarctic Research. This data base contains various kinds of limiting lines for Antarctica and is available on CD-ROM. It is published by the Scientific Committee on Antarctic Research, Scott Polar Research Institute, Lensfield Road, Cambridge CB2 1ER, United Kingdom.

## SEE ALSO

gmtcolors(5), gmtdefaults(1), GMT(1), grdlandmask(1), psbasemap(1)